import React from "react"
import FileBrowser from "./components/FileBrowser"
import { BrowserRouter as Router, Switch, Route, Redirect } from "react-router-dom"
import NotFound from "./components/NotFound"
import Login from "./components/Login"
  
const App: React.FC = () => {
	return (
		<div className="dark:text-gray-300">
			<Router>
				<Switch>
					<Route path="/login" exact component={Login} />
					<Route path="/f/" component={FileBrowser}/>
					<Redirect from="/" exact to="/f/" />
					<Route path="*" component={NotFound} />
				</Switch>
			</Router>
		</div>
	)
}

export default App
